--- old/usr/src/cmd/rmformat/rmf_menu.c	2014-05-04 18:28:36.096027703 +0100
+++ new/usr/src/cmd/rmformat/rmf_menu.c	2014-05-04 18:28:36.104490769 +0100
@@ -17,10 +17,12 @@
  * information: Portions Copyright [yyyy] [name of copyright owner]
  *
  * CDDL HEADER END
- */
-/*
+ *
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Andrew Stormont.
  */
 
 /*
@@ -88,9 +90,8 @@
 int32_t write_sunos_label(int32_t fd, int32_t media_type);
 
 int32_t my_open(char *device_name, int32_t flags);
-int32_t check_and_unmount_vold(char *device_name, int32_t flag);
-int32_t check_and_unmount_scsi(char *device_name, int32_t flag);
 
+int32_t check_and_unmount_scsi(char *device_name, int32_t flag);
 int32_t check_and_unmount_floppy(int32_t fd, int32_t flag);
 int32_t get_confirmation(void);
 
@@ -114,7 +115,6 @@
 {
 	int32_t fd;
 	smedia_handle_t handle;
-	int32_t m_scsi_umount = 0;
 	int32_t m_flp_umount = 0;
 	int32_t v_device_umount = 0;
 	int32_t umount_required = 0;
@@ -169,16 +169,11 @@
 
 	/* Check if volume manager has mounted this */
 	if (umount_required) {
-		v_device_umount = check_and_unmount_vold(dev_name, U_flag);
+		v_device_umount = check_and_unmount_scsi(dev_name, U_flag);
 		if (v_device_umount != 1) {
-			m_scsi_umount = check_and_unmount_scsi(dev_name,
-			    U_flag);
-			if (m_scsi_umount != 1) {
-				m_flp_umount = check_and_unmount_floppy(fd,
-				    U_flag);
-				if (m_flp_umount != 1) {
-					umount_failed = 1;
-				}
+			m_flp_umount = check_and_unmount_floppy(fd, U_flag);
+			if (m_flp_umount != 1) {
+				umount_failed = 1;
 			}
 		}
 	}
@@ -308,7 +303,7 @@
 static void
 process_F_flag(smedia_handle_t handle, int32_t fd)
 {
-	uint32_t format_flag;
+	uint32_t format_flag = 0;
 	int32_t old_per = 0;
 	int32_t new_per, ret_val;
 
@@ -415,7 +410,7 @@
 	int removable;
 	int total_devices_found_last_time;
 	int defer = 0;
-	char *tmpstr;
+	char *tmpstr = NULL;
 
 #define	MAX_RETRIES_FOR_SCANNING 3
 
